/**
 * File functions.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {	
	// Menu style
	$('#primary-menu .nav-item:has(.sub-menu)').addClass('dropdown');
	$('#primary-menu .dropdown > .nav-link').addClass('dropdown-toggle');
	$('#primary-menu .dropdown > .nav-link').attr('data-toggle','dropdown');
	$('#primary-menu .dropdown > .nav-link').attr('role','button');
	$('#primary-menu .sub-menu').addClass('dropdown-menu');
	$('#primary-menu .sub-menu li').addClass('dropdown-item');
	$('#primary-menu .sub-menu li a').addClass('text-dark');
	$('#primary-menu .sub-menu li.active.dropdown-item').addClass('bg-secondary');
	
	// Navigation style
	$('.navigation .nav-links a').addClass('btn btn-secondary text-white');
	$('.navigation .nav-links .nav-previous a').prepend('<i class="fas fa-angle-double-left"></i> ');
	$('.navigation .nav-links .nav-next a').append(' <i class="fas fa-angle-double-right"></i>');
	$('.navigation.post-navigation').addClass('border-bottom border-secondary pb-3');
	
	// Lightbox
	$('a.lightbox').each(function(){
		$(this).data('caption', $(this).attr('title'));
	});
	$('.wp-block-gallery a').each(function(){
		$(this).addClass('lightbox');
		$(this).data('caption', $(this).parent('figure').find('figcaption').text());
	});
	$().fancybox({
		selector : 'a.lightbox'
	});
	
	// Cookies
	$('#ominis_cookies').click(function(){
		controlcookies();
	});
	if (sessionStorage.controlcookie>0){ 
		$("#ominis_cookies_alert").css("display", "none");
	}
	function controlcookies() {
		 // si variable no existe se crea (al clicar en cerrar)
		 // sessionStorage para que se borren los datos al cerrar sesión.
		 // localStorage para mantener los datos al cerrar sesión
		sessionStorage.controlcookie = (localStorage.controlcookie || 0);
		
		sessionStorage.controlcookie++; // incrementamos cuenta de la cookie
		$("#ominis_cookies_alert").css("bottom", "-20em"); // Esconde la política de cookies
	}
	
	// Scroll animado
	$('a[href*="#"].jquery-pag').click(function() {
	
		if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'')
		&& location.hostname == this.hostname) {
		
			var $target = $(this.hash);
			
			$target = $target.length && $target || $('[name=' + this.hash.slice(1) +']');
			
			if ($target.length) {
			
				var targetOffset = $target.offset().top;
				
				$('html,body').animate({scrollTop: targetOffset}, 1000);
				
				return false;
		
			}
		
		}
	
	});

	// Masonry
	$('.masonry figure').addClass('card');
	$('.masonry figure a').each(function(){
		$(this).addClass('lightbox');
		$(this).data('caption', $(this).parent('figure').find('figcaption').text());
	});

	// Masonry + Filter
	function onlyUnique(value, index, self) { 
		return self.indexOf(value) === index;
	}
	var filtro = '';
	$('.filter-masonry figure').each(function(i){
		var clases = $(this).attr('class');
		clases = clases.replace('wp-block-image','');
		filtro += clases;
		$(this).wrap( '<div class="col-md-4 col-sm-6 grid-item '+clases+'"></div>' );
	});
	filtro = filtro.split(' ');
	filtro = filtro.filter( onlyUnique ); 
	$.each( filtro, function( key, value ) {
		if ( value != '' ) {
			$('.filter-button-group').append('<button type="button" class="btn btn-secondary border-light " data-filter=".'+value+'">'+value+'</button>');
		}
	});		
	
	var $grid = $('.grid').isotope({
		itemSelector: '.grid-item' // use a separate class for itemSelector, other than .col-
		
	});
	$('.filter-button-group button').click( function () {
		var filterValue = $(this).data('filter');
		$grid.isotope({ filter: filterValue });
		$('.filter-button-group button.active').removeClass('active');
		$(this).addClass('active');
	});
	
	$grid.imagesLoaded().progress( function() {
		$grid.isotope({ filter: '*' });
	});
	
	
	// Card style
	$('.filter-masonry figure').addClass('card');
	$('.filter-masonry figure a').each(function(){
		$(this).addClass('lightbox');
		$(this).data('caption', $(this).parent('figure').find('figcaption').text());
	});
			
} )( jQuery );